/*
Copyright 2007, Freie Universitaet Berlin. All rights reserved.

These sources were developed at the Freie Universitt Berlin, Computer
Systems and Telematics group.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

- Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

- Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
 
- Neither the name of Freie Universitaet Berlin (FUB) nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

This software is provided by FUB and the contributors on an "as is"
basis, without any representations or warranties of any kind, express
or implied including, but not limited to, representations or
warranties of non-infringement, merchantability or fitness for a
particular purpose. In no event shall FUB or contributors be liable
for any direct, indirect, incidental, special, exemplary, or
consequential damages (including, but not limited to, procurement of
substitute goods or services; loss of use, data, or profits; or
business interruption) however caused and on any theory of liability,
whether in contract, strict liability, or tort (including negligence
or otherwise) arising in any way out of the use of this software, even
if advised of the possibility of such damage.

This implementation was developed by the CST group at the FUB.

For documentation and questions please use the web site
http://scatterweb.mi.fu-berlin.de and the mailinglist
scatterweb@lists.spline.inf.fu-berlin.de (subscription via the Website).
Berlin, 2007
*/

/**
 * @file			ScatterWeb.Accelerator.h
 * @ingroup	libEMPTY
 * @brief			EMPTY library, Public interface
 * 
 * @author		Bastian Blywis	<blywis@inf.fu-berlin.de>
 * @date			Aug 2007
 * @since 		1.1
 * @version	$rev$
 */

/**
 * @ingroup	libEMPTY
 * @{
 */

#ifndef __ACCELERATOR_H__
#define __ACCELERATOR_H__

/******************************************************************************
 * @name	 initialisation and usage
 * @{
 */

void libAccelerator_Init();

bool stopWatch; //Flag zum Stoppen des Watch-Timers
bool stopCal;	//Flag zum Stoppen des Calibration-Timers
unsigned char button1;	//Zustand des Buttons1
unsigned char button2;	//Zustand des Buttons2
void sendMData();	
void showInfos();	//Methode sendet allgemeine Informationen ber die 
void SetDefMouseEncValues();	//Wird intern verwendet
void GetAcceleratorValue(void* c);	//Primitive Methode zum Auslesen der Accelerator-Werte
void Calibration(uint16_t interval, uint16_t runOnce);	//Fhrt eine Kallibrierung durch
void StartWatch(int16_t sensitySoft_x,
			    int16_t sensitySoft_y,
			    int16_t sensitySoft_z,
			    uint16_t loopInterval,
			    uint16_t mouseStepRange1,
			    uint16_t mouseStepRange2);	//Startet den Timer zur berprfung des Bewegungssensors



void LED_ON();
void LED_OFF();

#endif /*__ACCELERATOR_H__*/
/** @} */
